Update Webhook Subscription
Update a webhook subscription.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
webhook_id
Request
This endpoint expects an object.
url
The target URL where webhook events will be delivered
filters
Optional filters to limit which events trigger this webhook. Filter by fleet IDs or fleet references.
secret
The secret key used to sign webhook messages for verification. Must be at least 12 characters long.
Response
Successful Response
id
The unique identifier of the webhook subscription
url
The target URL where webhook events are delivered. Partially redacted for security.
event_name
The event name that triggers this webhook
secret
The secret key used to sign webhook messages. Redacted for security.
status
The current status of the webhook subscription (active, inactive, stale, or deleted)
Allowed values:
created_at
The timestamp when the webhook subscription was created
updated_at
The timestamp when the webhook subscription was last updated
filters
Optional filters that limit which events trigger this webhook
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error